org.apache.fop.render.pdf.pdfbox

## Class MergeFontsPDFWriter

- java.lang.Object
- - org.apache.fop.render.pdf.pdfbox.PDFWriter
  - - org.apache.fop.render.pdf.pdfbox.MergeFontsPDFWriter

-     public class MergeFontsPDFWriter
      extends PDFWriter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<org.apache.pdfbox.cos.COSName,java.lang.String>` | `fontsToRemove`
    `protected static org.apache.commons.logging.Log` | `log`

    - ### Fields inherited from class org.apache.fop.render.pdf.pdfbox.PDFWriter

      `key, keyUsed, s`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeFontsPDFWriter(org.apache.pdfbox.cos.COSDictionary fonts, org.apache.fop.fonts.FontInfo fontInfo, UniqueName key, java.util.Collection<java.lang.String> parentFonts, int mcid)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FontContainer` | `getFont(org.apache.pdfbox.cos.COSDictionary fontData)`
    `protected static java.lang.String` | `getName(java.lang.String name)`
    `protected void` | `readPDFArguments(org.apache.pdfbox.contentstream.operator.Operator op, java.util.Collection<org.apache.pdfbox.cos.COSBase> arguments)`
    `java.lang.String` | `writeText(org.apache.pdfbox.pdmodel.common.PDStream pdStream)`

    - ### Methods inherited from class org.apache.fop.render.pdf.pdfbox.PDFWriter

      `addCache, processArg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.commons.logging.Log log

    - #### fontsToRemove

          protected java.util.Map<org.apache.pdfbox.cos.COSName,java.lang.String> fontsToRemove

  - ### Constructor Detail

    - #### MergeFontsPDFWriter

          public MergeFontsPDFWriter(org.apache.pdfbox.cos.COSDictionary fonts,
                                     org.apache.fop.fonts.FontInfo fontInfo,
                                     UniqueName key,
                                     java.util.Collection<java.lang.String> parentFonts,
                                     int mcid)

  - ### Method Detail

    - #### writeText

          public java.lang.String writeText(org.apache.pdfbox.pdmodel.common.PDStream pdStream)
                                     throws java.io.IOException

      Overrides:
        `writeText` in class `PDFWriter`
      Throws:
        `java.io.IOException`

    - #### readPDFArguments

          protected void readPDFArguments(org.apache.pdfbox.contentstream.operator.Operator op,
                                          java.util.Collection<org.apache.pdfbox.cos.COSBase> arguments)
                                   throws java.io.IOException

      Overrides:
        `readPDFArguments` in class `PDFWriter`
      Throws:
        `java.io.IOException`

    - #### getFont

          protected FontContainer getFont(org.apache.pdfbox.cos.COSDictionary fontData)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getName

          protected static java.lang.String getName(java.lang.String name)

Copyright 2007-2024 The Apache Software Foundation. All Rights Reserved.